#!/bin/bash
# /bin/sh enables POSIX mode
# /bin/bash disables POSIX mode <<<

if [ ${UID} -ne 0 ]
then
	echo 'This script must be run as root.'
	echo "Exit script by error."
	exit
fi

DESTDIR="/opt"
NEWTOPDIR="hoststatedir"

ICONDIR="/usr/share/icons/hicolor/scalable/apps"
ICONFILE="hoststate.svg"

DESKTOPDIR="/usr/share/applications"
DESKTOPFILE="hoststate.desktop"



if [ $# -gt 1 ]
then
	echo "$# arguments too mouch. (<=1)"
	exit
elif [ $# -eq 1 ]
then
	echo "You specified installed destination \"$1\" ." 
	DESTDIR=$1
fi

echo "$0 is started." # $_ is for POSIX
echo "Destination directory must be \"${DESTDIR}\"."
echo "Top directory must be \"${NEWTOPDIR}\"."
echo "So, main files must be in \"${DESTDIR}/${NEWTOPDIR}/\"."
echo "Processing ..."



if [ -e "${DESTDIR}/${NEWTOPDIR}" ]; then
	rm -r -f "${DESTDIR}/${NEWTOPDIR}"  
	echo "  Installerd directory ${DESTDIR}/${NEWTOPDIR} is recursively removed."
else
	echo "  Installerd directory ${DESTDIR}/${NEWTOPDIR} is not exist."
fi



if [ -e "${ICONDIR}/${ICONFILE}" ]; then
	rm -f "${ICONDIR}/${ICONFILE}"  
	echo "  Icon File ${ICONDIR}/${ICONFILE} is removed."
else
	echo "  Icon File ${ICONDIR}/${ICONFILE} is not exist."
fi



if [ -e "${DESKTOPDIR}/${DESKTOPFILE}" ]; then
	rm -f "${DESKTOPDIR}/${DESKTOPFILE}"  
	echo "  Desktop File ${DESKTOPDIR}/${DESKTOPFILE} is removed."
else
	echo "  Desktop File ${DESKTOPDIR}/${DESKTOPFILE} is not exist."
fi



echo "Done."
echo ""


